
/*
 *
 * NLIB : 카트 JavaScript 
 *
 *
 */

function fn_addRentCart(masterId, useStatus) {
	
	/* useStatus
		01 : 이용가능
		02 : 대출중 (대기자 0명)
		03 : 대출중 (대기자 1명)
		04 : 열람대기(대출가능)
		05 : 이용가능
		06 : 열람대기(대출불가능)
		07 : 온라인열람만"
	 */
	fn_addRentCartItem(masterId, useStatus 
	  , function(data) {
			if(data.code == "S") {
				if(confirm(data.message + "\n카트로 이동하시겠습니까?")) {
					fn_gotoCart();
				}
			} else {
				alert(data.message);	
			}
		}
	  , function(error) {
			alert(error.message);
		}
	);
	
	return false;
}

function fn_gotoCart() {
	location.href = "/cart/listCartItems.do";
}

function fn_addRentCartItem(masterId, useStatus, resolve, reject) {
	
	
	var cartTypeCd = null;
	
	if(masterId == "undefined" || masterId == "") {
		reject(new Error("선택된 자료 정보가 없습니다."));
		return;
	}
	
	if(useStatus == "undefined" || useStatus == "") {
		reject(new Error("선택된 자료의 상태 정보를 확인할 수 없습니다."));
		return;
	}
	
	if("01" <= useStatus && useStatus <= "04") {
		cartTypeCd = "1"; // 대출
	} else if("05" <= useStatus && useStatus <= "06") {
		cartTypeCd = "2"; // 방문열람
	} else if("07" == useStatus) {
		reject(new Error("해당 자료는 온라인열람만 가능한 자료입니다. 온라인 열람을 통해 자료를 조회하시기 바랍니다."));
		return null;
	} else {
		reject(new Error("해당 자료의 상태를 확인할 수 없습니다."));
		return null;
	}
	
	$.ajax({
		url : "/cart/insertCartItemAjax.do",
		contentType: "application/json; charset=utf-8",
		dataType: "json",
		type : "POST",
		data: JSON.stringify({
			masterId : masterId,
			cartTypeCd : cartTypeCd
		}),
		success : function(data) {
			resolve(JSON.parse(data));
		},
		error : function(error) {
			reject(error);
		}
	});
}

function fn_addReserveCart() {
	alert("카트 추가 - 로그인");
}

function fn_deleteCart() {
	alert("카트 삭제");
}